[arch-commits] Commit in perl-gnupg-interface/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Sat May 25 11:46:46 UTC 2019


    Date: Saturday, May 25, 2019 @ 11:46:45
  Author: foutrelis
Revision: 470477

archrelease: copy trunk to community-staging-any

Added:
  perl-gnupg-interface/repos/community-staging-any/
  perl-gnupg-interface/repos/community-staging-any/PKGBUILD
    (from rev 470476, perl-gnupg-interface/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: perl-gnupg-interface/repos/community-staging-any/PKGBUILD (from rev 470476, perl-gnupg-interface/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-05-25 11:46:45 UTC (rev 470477)
@@ -0,0 +1,33 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=GnuPG-Interface
+pkgname=perl-${_pkg,,}
+pkgver=0.52
+pkgrel=6
+pkgdesc="Object-oriented methods for interacting with GnuPG"
+arch=('any')
+url="https://metacpan.org/release/${_pkg}"
+license=('PerlArtistic' 'GPL')
+options=('!emptydirs')
+depends=('gnupg' 'perl-math-bigint' 'perl-moo' 'perl-moox-handlesvia' 'perl-moox-late')
+makedepends=('perl-module-install')
+source=("https://cpan.metacpan.org/authors/id/A/AL/ALEXMV/${_pkg}-${pkgver}.tar.gz")
+sha512sums=('911f47a3b52249e8b39133d4040b86147793d9dd6a78d2b279674d6bba0cd38de5c919bf12b241b0e977790575502531afab6b1d2c05739d050c16d05d52fc49')
+
+build() {
+    cd ${_pkg}-${pkgver}
+    export PERL_MM_USE_DEFAULT=1 PERL_AUTOINSTALL=--skipdeps
+    perl Makefile.PL
+    make
+}
+
+check() {
+    cd ${_pkg}-${pkgver}
+    # 19 tests failing, likely because we are in a chroot
+    make test || warning "Tests failed"
+}
+
+package() {
+    cd ${_pkg}-${pkgver}
+    make INSTALLDIRS=vendor DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list